summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2018-05-17 13:11:35 +0200
committerLars Wendler <polynomial-c@gentoo.org>2018-05-17 13:12:26 +0200
commit6e65b7ba44c6e977a06f740a3320d1a3284add6f (patch)
treeadb38f5e6539c675c4d3d4c13ae480997a994f60 /app-editors/nano
parentkde-frameworks/qqc2-desktop-style: 5.46.2 version bump (diff)
downloadgentoo-6e65b7ba44c6e977a06f740a3320d1a3284add6f.tar.gz
gentoo-6e65b7ba44c6e977a06f740a3320d1a3284add6f.tar.bz2
gentoo-6e65b7ba44c6e977a06f740a3320d1a3284add6f.zip
app-editors/nano: Bump to version 2.9.7
Package-Manager: Portage-2.3.37, Repoman-2.3.9
Diffstat (limited to 'app-editors/nano')
-rw-r--r--app-editors/nano/Manifest1
-rw-r--r--app-editors/nano/nano-2.9.7.ebuild83
2 files changed, 84 insertions, 0 deletions
diff --git a/app-editors/nano/Manifest b/app-editors/nano/Manifest
index 02aff899c51..d20db5640f4 100644
--- a/app-editors/nano/Manifest
+++ b/app-editors/nano/Manifest
@@ -1,3 +1,4 @@
DIST nano-2.8.7.tar.gz 2822417 BLAKE2B 2559497b9aee4d4c3cfc86e8af6a54bc0af58588c7bd1142a0e97c6ce50aed66c3852745b83a457263659e97592f0775dcc94c44d818e20440b6524202bfe49a SHA512 511b57f8fe82872827829bca91f7a8666a6ee75924cf2c853332ddd0467abf281c6d3cbaa5dd208c579cbace5bef23d36bd7b62be116aa2175262ed1d15aaf79
DIST nano-2.9.5.tar.gz 2889382 BLAKE2B fa9a020b133f0b1c669689e0831d2700d7509a01e7355ab7ee613a38b1c6c65e35e9572ad5c4ea4aae427c52ba841d7b5da826bb0afddf25f3d8add8ffa15302 SHA512 623a1d142f5aff62186314d84ea8461e10ab7eb2e11c8a57497736bc5ad432e39d48086d17eb80bdbf9b33adc41e9d77db5416281138993dbea795afd96dbfc0
DIST nano-2.9.6.tar.gz 2892819 BLAKE2B 572fcd30b3640e1819d2d573c6aa755141b3990ab05fdf4928a8ade4dedd77ee4d8b81644a75d2c698fbc5512b1bffb7e7d449beac57700a77a1f7687ece4d58 SHA512 360802c3d772e8159e729803d5307575b348f779623e49401752984201b6b874df1582fe79ed6552a524db64ae6d8a1bfb449b525f7354cbd5cd9941432a2dff
+DIST nano-2.9.7.tar.gz 2913055 BLAKE2B 87e04c50a6485c961dddeb7e4fe4b3defda874eb91f373ae1357afdcafd4c207cdf789d72563fdfecb22eabb8dca29559d8fe8abdb0bd36ba1cae7fdf14b1447 SHA512 b62eda79d5d65e4d2020b22624aca06a891747e0e7eeb7b0698bfd9f90d7d1163240d123b7f727868aac09d815e9835f146f7f16e9cbdd5acd7f55311d4acbb7
diff --git a/app-editors/nano/nano-2.9.7.ebuild b/app-editors/nano/nano-2.9.7.ebuild
new file mode 100644
index 00000000000..a0bec925c03
--- /dev/null
+++ b/app-editors/nano/nano-2.9.7.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit eutils flag-o-matic
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="git://git.sv.gnu.org/nano.git"
+ inherit git-r3 autotools
+else
+ MY_P="${PN}-${PV/_}"
+ SRC_URI="https://www.nano-editor.org/dist/v${PV:0:3}/${MY_P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="GNU GPL'd Pico clone with more functionality"
+HOMEPAGE="https://www.nano-editor.org/ https://wiki.gentoo.org/wiki/Nano/Basics_Guide"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="debug justify +magic minimal ncurses nls slang +spell static unicode"
+
+LIB_DEPEND=">=sys-libs/ncurses-5.9-r1:0=[unicode?]
+ sys-libs/ncurses:0=[static-libs(+)]
+ magic? ( sys-apps/file[static-libs(+)] )
+ nls? ( virtual/libintl )
+ !ncurses? ( slang? ( sys-libs/slang[static-libs(+)] ) )"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )
+ virtual/pkgconfig
+ static? ( ${LIB_DEPEND} )"
+
+src_prepare() {
+ default
+ if [[ ${PV} == "9999" ]] ; then
+ eautoreconf
+ fi
+}
+
+src_configure() {
+ use static && append-ldflags -static
+ local myconf=(
+ --bindir="${EPREFIX}"/bin
+ --htmldir=/trash
+ $(use_enable !minimal color)
+ $(use_enable !minimal multibuffer)
+ $(use_enable !minimal nanorc)
+ --disable-wrapping-as-root
+ $(use_enable magic libmagic)
+ $(use_enable spell speller)
+ $(use_enable justify)
+ $(use_enable debug)
+ $(use_enable nls)
+ $(use_enable unicode utf8)
+ $(use_enable minimal tiny)
+ $(usex ncurses --without-slang $(use_with slang))
+ )
+ case ${CHOST} in
+ *-gnu*|*-uclibc*) myconf+=( "--with-wordbounds" ) ;; #467848
+ esac
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+ # don't use "${ED}" here or things break (#654534)
+ rm -r "${D%/}"/trash || die
+
+ dodoc doc/sample.nanorc
+ docinto html
+ dodoc doc/faq.html
+ insinto /etc
+ newins doc/sample.nanorc nanorc
+ if ! use minimal ; then
+ # Enable colorization by default.
+ sed -i \
+ -e '/^# include /s:# *::' \
+ "${ED%/}"/etc/nanorc || die
+ fi
+
+ dosym ../../bin/nano /usr/bin/nano
+}